searchData={"items":[{"type":"task","title":"mix tableau.og.run","doc":"Create the OG images for your site.","ref":"Mix.Tasks.Tableau.Og.Run.html"},{"type":"task","title":"mix tableau.og.setup","doc":"Sets up the Node dependencies for the OG Extension","ref":"Mix.Tasks.Tableau.Og.Setup.html"},{"type":"module","title":"Tableau.OgExtension","doc":"Extension to create Open Graph images.\n\nThe Open Graph extension utilizes a user provided template, the Puppeteer Node.js module, and Google Chrome to \ncreate screenshots. So, you must have Node.js and Google Chrome installed on your system.\n\nThese screenshots are saved to the filesystem and it's up to the user to utilize them however they'd wish.\n\nYou can keep them inside git and serve them through your CDN or upload them to something like AWS S3.\n\nThis extension is not responsible for setting the relevant HTML tags in your document to actually utilize the\nimages.\n\nImages are named based on the permalink of the the page, with the root page being named `root.png`.","ref":"Tableau.OgExtension.html"},{"type":"module","title":"Setup - Tableau.OgExtension","doc":"Before using this extension, you must ensure you have Node.js and Google Chrome installed locally.\n\nThen you can run the Mix Task `mix tableau.og.setup` and it will install the appropriate NPM packages.","ref":"Tableau.OgExtension.html#module-setup"},{"type":"module","title":"Usage - Tableau.OgExtension","doc":"The extension is ran when you run the Mix Task `mix tableau.og.run`.\n\nSubsequent runs will not regenerate existing images, so delete them first if you have changed your template.","ref":"Tableau.OgExtension.html#module-usage"},{"type":"module","title":"Template - Tableau.OgExtension","doc":"The extension will render a configured template into the image. The template is configured as a module/function tuple\nthat will be passed assigns including the Tableau page, which includes the title, permalink, etc.\n\nHere is an example:\n\n```elixir\ndefmodule MySite.Og do\n  require EEx\n  EEx.function_from_string(\n    :def,\n    :template,\n    \"\"\"\n    <!DOCTYPE html>\n     \n       \n         \n         \n         \n         <!-- my styles -->\n         \n       \n       \n        <%= @page.title %> \n       \n     \n    \"\"\",\n    [:assigns]\n  )\nend\n```\n\nConfiguration example can be seen below.","ref":"Tableau.OgExtension.html#module-template"},{"type":"module","title":"Configuration - Tableau.OgExtension","doc":"Examples are shown below.\n\n```elixir\n# config/config.exs\n\nconfig :tableau, Tableau.OgExtension,\n  enabled: true,\n  path: \"./priv/og\",\n  template: {MySite.Og, :template}\n  log: true\n```","ref":"Tableau.OgExtension.html#module-configuration"},{"type":"function","title":"Tableau.OgExtension.file_name/1","doc":"Returns the file name based on a permalink.","ref":"Tableau.OgExtension.html#file_name/1"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.38.2"}}